using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XYY.Common.Standard.Attributes;
using XYY.Core.Standard;

namespace XYY.Model.Standard.DingTalk
{
    public class DingTalk_ReimbursementDetail : BaseEntity
    {
        public int ReimbursementId { get; set; }
        public int companyDId { get; set; }
        public string companyDName { get; set; }
        public int? Categories1_Id { get; set; }
        public string Categories1_Name { get; set; }
        public int? Categories2_Id { get; set; }
        public string Categories2_Name { get; set; }
        public decimal ReimbursementAmount { get; set; }
        public string ImageUrl { get; set; }
        public string InvoiceUrl { get; set; }

        [NoDb]
        public List<string> ImageUrlArrry
        {
            get
            {
                if (!string.IsNullOrEmpty(ImageUrl))
                {
                    return ImageUrl.Split(',').ToList();
                }
                else
                {
                    return new List<string>();
                }
            }
        }
        [NoDb]
        public List<string> InvoiceUrlArrry
        {
            get
            {
                if (!string.IsNullOrEmpty(InvoiceUrl))
                {
                    return InvoiceUrl.Split(',').ToList();
                }
                else
                {
                    return new List<string>();
                }
            }
        }
    }
}
